
import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';

class HereMapView {
  GeoCoordinates? topLeft;
  GeoCoordinates? bottomRight;

  HereMapView({this.topLeft, this.bottomRight});

  HereMapView.fromJson(Map<String, dynamic> json) {
    topLeft = json['TopLeft'] != null ? GeoCoordinates.fromMap(json['TopLeft']) : null;
    bottomRight = json['BottomRight'] != null ? GeoCoordinates.fromMap(json['BottomRight']) : null;
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (topLeft != null) {
      data['TopLeft'] = topLeft!.toJson();
    }
    if (bottomRight != null) {
      data['BottomRight'] = bottomRight!.toJson();
    }
    return data;
  }
}
