
# dotup_dart_geolocation_here_maps

HERE Maps api wrapper. A library for Dart developers.

## Usage

A simple usage example:

```dart
import 'package:dotup_dart_geolocation_here_maps/dotup_dart_geolocation_here_maps.dart';

main() {
  final api = HereMapsGeoLocationService(apiKey: 'YOUR_HERE_API_KEY');
  final address = Address(street: 'Industriering', houseNumber: '7', zip: '63868', city: 'Großwallstadt');
  final location = await api.getGeoCoordinatesFromAddress(address);

  final result = await api.geoCode(searchtext: address.asSingleLineString());
  final searchedLocation = result.geoCode!.getGeoCoordinates();
  final y = await api.reverseGeoCode(geoCoordinates: location);
  final sorted = await api.getAddressFromGeoCoordinates(searchedLocation!);
}
```

[dotup.de](https://dotup.de)

## install
`flutter pub add dotup_dart_geolocation_here_maps`

## Links

dotup_dart_geolocation_here_maps on [pub.dev](https://pub.dev/packages/dotup_dart_geolocation_here_maps)


> ## Other widgets on [pub.dev](https://pub.dev/packages?q=dotup)
> 
> ## Other open source flutter projects on [Github](https://github.com/search?q=dotup_flutter)
