import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';

import 'GeoCode.dart';

class GeoCodeResponse {
  GeoCode? geoCode;

  GeoCodeResponse({this.geoCode});

  GeoCodeResponse.fromJson(Map<String, dynamic> json) {
    geoCode = json['Response'] != null ? GeoCode.fromJson(json['Response']) : null;
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (geoCode != null) {
      data['Response'] = geoCode!.toJson();
    }
    return data;
  }
}
