class HereMatchQuality {
  double? city;
  double? street;
  double? houseNumber;
  double? postalCode;

  HereMatchQuality({this.city, this.street, this.houseNumber, this.postalCode});

  HereMatchQuality.fromJson(Map<String, dynamic> json) {
    city = json['City'];
    street = json['Street'] == null ? null : Set.from(json['Street']).first;
    houseNumber = json['HouseNumber'];
    postalCode = json['PostalCode'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['City'] = city;
    return data;
  }
}
